"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getVariableDeclarationProps = void 0;
const core_1 = require("@babel/core");
const utils_1 = require("./utils");
exports.getVariableDeclarationProps = (path, restricted) => {
    const { node } = path;
    if (!node.declarations || node.declarations.length === 0) {
        return undefined;
    }
    const declarationNode = node.declarations[0];
    const init = declarationNode.init;
    if (!utils_1.isComponent(declarationNode) || !utils_1.isRootPath(path.parentPath))
        return undefined;
    if (!core_1.types.isIdentifier(declarationNode.id))
        return undefined;
    const componentName = declarationNode.id.name;
    if (!core_1.types.isArrowFunctionExpression(init) &&
        !core_1.types.isCallExpression(init) &&
        !core_1.types.isTaggedTemplateExpression(init)) {
        return undefined;
    }
    const funcNode = utils_1.getFunctionNode(init);
    if (!funcNode)
        return undefined;
    return {
        componentName,
        props: utils_1.getProps(path, funcNode, componentName, restricted),
    };
};
//# sourceMappingURL=get-variable-declaration-props.js.map