"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExpressionStatement = exports.getMemberExpression = exports.getObjectExpression = void 0;
const core_1 = require("@babel/core");
exports.getObjectExpression = (info) => {
    return core_1.types.objectExpression(info.props && info.props.length
        ? info.props.map((prop) => {
            return core_1.types.objectProperty(prop.left, prop.right);
        })
        : []);
};
exports.getMemberExpression = (componentName) => {
    return core_1.types.memberExpression(core_1.types.identifier(componentName), core_1.types.identifier('__defaultProps'));
};
exports.getExpressionStatement = (componentName, expression) => {
    return core_1.types.expressionStatement(core_1.types.assignmentExpression('=', exports.getMemberExpression(componentName), expression));
};
//# sourceMappingURL=get-expression.js.map