"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPropsFormBody = void 0;
const core_1 = require("@babel/core");
const get_props_from_object_1 = require("./get-props-from-object");
exports.getPropsFormBody = (node, restricted) => {
    if (!node.params.length)
        return undefined;
    const firstParam = node.params[0];
    if (!core_1.types.isIdentifier(firstParam))
        return undefined;
    const paramName = firstParam.name;
    if (!core_1.types.isStatement(node.body))
        return undefined;
    const body = node.body.body;
    const variableDeclarators = body.reduce((arr, n) => {
        if (!core_1.types.isVariableDeclaration(n))
            return arr;
        const decl = n.declarations[0];
        if (!core_1.types.isObjectPattern(decl.id))
            return arr;
        if (!core_1.types.isIdentifier(decl.init))
            return arr;
        if (decl.init.name !== paramName)
            return arr;
        if (!core_1.types.isObjectPattern(decl.id) || !decl.id.properties.length)
            return arr;
        arr.push(decl.id);
        return arr;
    }, []);
    if (!variableDeclarators.length)
        return undefined;
    const assignmentPatterns = get_props_from_object_1.getPropsFromObject(variableDeclarators[0].properties, restricted);
    return assignmentPatterns;
};
//# sourceMappingURL=get-props-form-body.js.map