"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPropsFromObject = void 0;
const core_1 = require("@babel/core");
const is_valid_value_1 = require("./is-valid-value");
exports.getPropsFromObject = (properties, restricted = true) => {
    const props = properties.reduce((arr, n) => {
        if (!core_1.types.isObjectProperty(n) || !core_1.types.isAssignmentPattern(n.value)) {
            return arr;
        }
        if (!core_1.types.isIdentifier(n.key) || !core_1.types.isIdentifier(n.value.left))
            return arr;
        if (restricted && !is_valid_value_1.isValidValue(n.value)) {
            return arr;
        }
        if (n.key.name === n.value.left.name) {
            arr.push(n.value);
            return arr;
        }
        arr.push(Object.assign(Object.assign({}, n.value), { left: core_1.types.identifier(n.key.name), right: n.value.right }));
        return arr;
    }, []);
    return props;
};
//# sourceMappingURL=get-props-from-object.js.map