"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProps = void 0;
const _1 = require(".");
const core_1 = require("@babel/core");
exports.getProps = (path, func, componentName, restricted) => {
    if (!func.params)
        return undefined;
    const firstParam = func.params.length && func.params[0];
    if (firstParam &&
        (core_1.types.isObjectExpression(firstParam) || core_1.types.isObjectPattern(firstParam))) {
        return _1.getObjectExpression({
            componentName,
            path,
            props: _1.getPropsFromParams(func),
        });
    }
    else if (func.body.body) {
        const assignmentPatterns = _1.getPropsFormBody(func, restricted);
        return _1.getObjectExpression({
            componentName,
            path,
            props: assignmentPatterns || [],
        });
    }
    return undefined;
};
//# sourceMappingURL=get-props.js.map