"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isImported = void 0;
const get_program_path_1 = require("./get-program-path");
const core_1 = require("@babel/core");
exports.isImported = (path, specifierName) => {
    const program = get_program_path_1.getProgramPath(path);
    if (!program)
        return false;
    const imported = program.node.body.some((node) => {
        if (core_1.types.isImportDeclaration(node)) {
            return node.specifiers.some((specifier) => {
                if (core_1.types.isImportSpecifier(specifier) &&
                    specifier.local.name === specifierName) {
                    return true;
                }
                return false;
            });
        }
        return false;
    });
    return imported;
};
//# sourceMappingURL=is-imported.js.map