"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidValue = void 0;
const core_1 = require("@babel/core");
exports.isValidValue = (node) => {
    if (core_1.types.isLiteral(node)) {
        return true;
    }
    if (core_1.types.isAssignmentPattern(node)) {
        return exports.isValidValue(node.right);
    }
    if (core_1.types.isObjectProperty(node) || core_1.types.isJSXAttribute(node)) {
        return exports.isValidValue(node.value);
    }
    if (core_1.types.isJSXExpressionContainer(node)) {
        return exports.isValidValue(node.expression);
    }
    if (core_1.types.isJSXElement(node)) {
        return exports.isValidValue(node.openingElement);
    }
    if (core_1.types.isJSXOpeningElement(node)) {
        for (let i = 0; i < node.attributes.length; i++) {
            const attr = node.attributes[i];
            if (!exports.isValidValue(attr)) {
                return false;
            }
        }
        return true;
    }
    if (core_1.types.isArrayExpression(node)) {
        for (let i = 0; i < node.elements.length; i++) {
            const element = node.elements[i];
            if (!exports.isValidValue(element)) {
                return false;
            }
        }
        return true;
    }
    if (core_1.types.isObjectExpression(node)) {
        for (let i = 0; i < node.properties.length; i++) {
            const prop = node.properties[i];
            if (!exports.isValidValue(prop)) {
                return exports.isValidValue(prop);
            }
        }
        return true;
    }
    return false;
};
//# sourceMappingURL=is-valid-value.js.map